package com.junit.resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;

import com.junit.bean.Calculator;

@Controller
public class CalculatorResource {
	
	private static final Logger logger = LoggerFactory.getLogger(CalculatorResource.class);
	
	public Integer addition(Calculator cal) {
		int result = 0;
		try {
			int num1 = cal.getNumber1();
			int num2 = cal.getNumber2();
			result = num1 + num2;
			logger.info("Addition of two numbers : "+result);
		} catch (Exception e) {
			logger.error("Exception "+e);
			e.printStackTrace();
		}
		return result;
	}
	
	public Integer subtraction(Calculator cal) {
		int result = 0;
		try {
			int num1 = cal.getNumber1();
			int num2 = cal.getNumber2();
			result = num1 - num2;
			logger.info("Subtraction of two numbers : "+result);
		} catch (Exception e) {
			logger.error("Exception "+e);
			e.printStackTrace();
		}
		return result;
	}
	
	public Integer division(Calculator cal) {
		int result = 0;
		try {
			int num1 = cal.getNumber1();
			int num2 = cal.getNumber2();
			result = num1 / num2;
			logger.info("Division of two numbers : "+result);
		} catch (Exception e) {
			logger.error("Exception "+e);
			e.printStackTrace();
		}
		return result;
	}

}
