package com.junit.resource;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.api.Test;
import com.junit.bean.Employee;


class EmployeeResourceTest {

	Employee emp = new Employee();
	EmployeeResource empRsc = new EmployeeResource();
	
	@Test
	void testCalculateYearlySal() {
		emp.setName("Narendar");
		emp.setRole("SSE");
		emp.setSalary(50000);
		double salary = empRsc.calculateYearlySal(emp);
		assertEquals(600000, salary, 0.0);
	}

	@Test
	void testCalculateAppraisal() {
		emp.setName("Narendar");
		emp.setRole("SSE");
		emp.setSalary(50000);
		double salary = empRsc.calculateAppraisal(emp);
		assertEquals(10000, salary, 0.0);
	}

}
