package com.junit.resource;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

import org.junit.jupiter.api.Test;

import com.junit.bean.Product;
import com.junit.service.ProductService;

class ProductResourceTest {
	
	/*
	 * @Mock ProductService productService;
	 */

	@Test
	void testGetPrice() {
		ProductService productService = mock(ProductService.class);
		Product pen = new Product(101, "Pen", 15, 10);
		when(productService.getTotalPrice(pen)).thenReturn(150.0);
		assertEquals(productService.getTotalPrice(pen), 150.0);
	}

}
