package com.junit.resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import com.junit.bean.Book;

@RestController
public class BookController {
	
	private static final Logger logger = LoggerFactory.getLogger(BookController.class);
	
	@GetMapping("/getbookinfo")
	public Book getBookInfo() {
		Book book = new Book(101, "Ramayanam", 1500, "Valmiki");
		logger.info("Book Details :: "+book);
		return book;
	}

}
