package com.junit.resource;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import com.junit.bean.Calculator;

class CalculatorResourceTest {
	
	int num1,num2;
	Calculator cal = new Calculator();
	CalculatorResource calResource = new CalculatorResource();

	@BeforeEach
	void setUp() throws Exception {
		cal.setNumber1(10);
		cal.setNumber2(20);
	}

	@Test
	void testAddition() {
		int result = calResource.addition(cal);
		assertEquals(30, result);
	}

	@Test
	void testSubtraction() {
		int result = calResource.subtraction(cal);
		assertEquals(-10, result);
	}

	@Test
	void testDivision() {
		int result = calResource.division(cal);
		assertEquals(0, result);
	}
	
}
